# Created by pyp2rpm-3.3.8
%global pypi_name RPIO
%global pypi_version 0.10.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Advanced GPIO for the Raspberry Pi. Extends RPi.GPIO with PWM, GPIO interrups, TCP socket interrupts, command line tools and more

License:        LGPLv3+
URL:            https://github.com/metachris/RPIO
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  gcc

%description
RPIO is an advanced GPIO module for the Raspberry Pi.* PWM via DMA (up to 1Âµs
resolution) * GPIO input and output (drop-in replacement for RPi.GPIO < * GPIO
interrupts (callbacks when events occur on input gpios) * TCP socket interrupts
(callbacks when tcp socket clients send data) * Command-line tools rpio and
rpio-curses * Well documented, fast source code with minimal CPU usage *
Open...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
RPIO is an advanced GPIO module for the Raspberry Pi.* PWM via DMA (up to 1Âµs
resolution) * GPIO input and output (drop-in replacement for RPi.GPIO < * GPIO
interrupts (callbacks when events occur on input gpios) * TCP socket interrupts
(callbacks when tcp socket clients send data) * Command-line tools rpio and
rpio-curses * Well documented, fast source code with minimal CPU usage *
Open...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/rpio
%{_bindir}/rpio-curses
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Nov 03 2022 Luca Magrone <luca@magrone.cc> - 0.10.0-1
- Initial package.
